Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.extensions
Class OldExtensionElementMapping

    java.lang.Object
      org.apache.fop.fo.ElementMapping
          org.apache.fop.fo.extensions.OldExtensionElementMapping

    public class OldExtensionElementMapping

extends ElementMapping

Element mapping for the old FOP extension namespace.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping
`ElementMapping.Maker`

Field Summary
`static java.lang.String` | `URI` The old FOP extension namespace URI (FOP 0.20.5 and earlier)

Fields inherited from class org.apache.fop.fo.ElementMapping
`DEFAULT, foObjs, namespaceURI`

Constructor Summary
`OldExtensionElementMapping()` Constructor.

Method Summary
`protected void` | `initialize()` Initialize the data structures.

Methods inherited from class org.apache.fop.fo.ElementMapping
`getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getStandardPrefix, getTable, isAttributeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI

    public static final java.lang.String URI

  The old FOP extension namespace URI (FOP 0.20.5 and earlier)

  See Also:
    Constant Field Values

Constructor Detail

### OldExtensionElementMapping

    public OldExtensionElementMapping()

  Constructor.

Method Detail

### initialize

    protected void initialize()

  Initialize the data structures.

  Specified by:
    `initialize` in class `ElementMapping`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.